<?php

/* Admin dashboard */
function mbplugins_dashboard_html() {
  if (!current_user_can('manage_options'))  {
    wp_die(__('You do not have sufficient permissions to access this page.'));
  }

  $progress = get_option('mbplugins-setup-progress');
  $show_login = isset($_GET['login']);

  //$progress = 1;
?>

<div class="wrap">
  <h1>Dashboard</h1>
  <hr>
  <form action="" method="post" autocomplete="off">
    <?php wp_nonce_field('mbplugins-dashboard-form'); ?>

    <h2 class="mbplugins-setup-title">1. Connect MBPLUGINS <?php if ($progress) echo "<span class='mbplugins-text-success'>&#10003;</span><br><small>" . get_option('mbplugins-account-email') . "</small>"; ?></h2>

    <?php if (!$progress): ?>

    <?php if (!$show_login): ?>
    <input type="hidden" name="action" value="mbplugins-create-account">
    <p>
      Create a MBPLUGINS account below.<br>
      <a href="?page=mbplugins&login=true">Login here</a> if you already have a MBPLUGINS account.
    </p>
    <?php else: ?>
    <input type="hidden" name="action" value="mbplugins-connect-account">
    <p>
      Login to your MBPLUGINS account below.<br>
      <a href="?page=mbplugins">Register here</a> if you don't have a MBPLUGINS account.</p>
    <?php endif; ?>

    <table class="form-table">
      <?php $current_user = wp_get_current_user(); ?>
      <?php if (!$show_login): ?>
      <tr valign="top">
        <th scope="row">
          <label>First name</label>
        </th>
        <td>
          <input type="text" name="mbplugins-account-first-name" value="<?php echo isset($_POST['mbplugins-account-first-name']) ? $_POST['mbplugins-account-first-name'] : $current_user->user_firstname; ?>" placeholder="Your first name" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Last name</label>
        </th>
        <td>
          <input type="text" name="mbplugins-account-last-name" value="<?php echo isset($_POST['mbplugins-account-last-name']) ? $_POST['mbplugins-account-last-name'] : $current_user->user_lastname; ?>" placeholder="Your last name" class="regular-text">
        </td>
      </tr>
      <?php endif; ?>
      <tr valign="top">
        <th scope="row">
          <label>Email address</label>
        </th>
        <td>
          <input type="email" name="mbplugins-account-email" value="<?php echo isset($_POST['mbplugins-account-email']) ? $_POST['mbplugins-account-email'] : $current_user->user_email; ?>" placeholder="Your email address" class="regular-text" autocomplete="nope">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Password</label>
        </th>
        <td>
          <input type="password" name="mbplugins-account-password" placeholder="<?php echo $show_login ? 'Your' : 'Choose a'; ?> password" class="regular-text" autocomplete="new-password">
        </td>
      </tr>
    </table>

    <?php $show_login ? submit_button('Authorize account') : submit_button('Create account'); ?>

    <?php endif; ?>

    <hr>
    <h2 class="mbplugins-setup-title">2. Connect MINDBODY <?php if ($progress > 1) echo "<span class='mbplugins-text-success'>&#10003;</span><br><small>" . get_option('mindbody-source-name') . "</small>"; ?></h2>

    <?php if ($progress == 1): ?>
    <input type="hidden" name="action" value="mindbody-connect-account">
    <p>
      Fill in the details of your MINDBODY developers account below.<br>
      <a href="https://developers.mindbodyonline.com/Home/SignUp" target='_blank' rel="noopener nofollow">Click here</a> if you don't have a MINDBODY developers license.
    </p>
    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Source name</label>
        </th>
        <td>
          <input type="text" name="mindbody-source-name" value="<?php echo isset($_POST['mindbody-source-name']) ? $_POST['mindbody-source-name'] : ""; ?>" placeholder="Your source name" class="regular-text">
          <p class="description"><a href="https://developers.mindbodyonline.com/Home/LogIn" target='_blank' rel="noopener nofollow">MINDBODY developers portal</a> > Account > API credentials.</p>
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Source key</label>
        </th>
        <td>
          <input type="text" name="mindbody-source-key" value="<?php echo isset($_POST['mindbody-source-key']) ? $_POST['mindbody-source-key'] : ""; ?>" placeholder="Your source key" class="regular-text">
          <p class="description"><a href="https://developers.mindbodyonline.com/Home/LogIn" target='_blank' rel="noopener nofollow">MINDBODY developers portal</a> > Account > API credentials.</p>
        </td>
      </tr>
    </table>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Site ID</label>
        </th>
        <td>
          <input type="text" name="mindbody-site-id" value="<?php echo isset($_POST['mindbody-site-id']) ? $_POST['mindbody-site-id'] : ""; ?>" placeholder="Your site ID" class="regular-text">
          <p class="description"><a href="https://developers.mindbodyonline.com/Home/LogIn" target='_blank' rel="noopener nofollow">MINDBODY developers portal</a> > Account > Site permissions.</p>
        </td>
      </tr>
    </table>

    <?php submit_button('Connect account'); ?>

    <?php endif; ?>

    <hr>
    <h2 class="mbplugins-setup-title">3. Connect Mollie <?php if ($progress > 2) echo "<span class='mbplugins-text-success'>&#10003;</span><br><small>" . get_option('mollie-username') . "</small>"; ?></h2>

    <?php if ($progress == 2): ?>

    <?php if (!$show_login): ?>
    <input type="hidden" name="action" value="mollie-create-account">
    <p>
      Create a Mollie account below.<br>
      <a href="?page=mbplugins&login=true">Login here</a> if you already have a Mollie account.
    </p>
    <?php else: ?>
    <input type="hidden" name="action" value="mollie-connect-account">
    <p>
      Login to your Mollie account below.<br>
      <a href="?page=mbplugins">Register here</a> if you don't have a Mollie account.</p>
    <?php endif; ?>

    <?php if (!$show_login): ?>
    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Company</label>
        </th>
        <td>
          <input type="text" name="mollie-company" value="<?php echo isset($_POST['mollie-company']) ? $_POST['mollie-company'] : get_bloginfo('name'); ?>" placeholder="Your company name" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Legal form</label>
        </th>
        <td>
          <?php $legal_form = isset($_POST['mollie-legal-form']) ? $_POST['mollie-legal-form'] : ""; ?>
          <select class="regular-text" name="mollie-legal-form">
            <option value="" selected disabled="true">- Select your legal form -</option>
            <option value="eenmanszaak" <?php if ($legal_form == 'eenmanszaak') echo 'selected'; ?>>Eenmanszaak</option>
            <option value="maatschap" <?php if ($legal_form == 'maatschap') echo 'selected'; ?>>Maatschap</option>
            <option value="vof" <?php if ($legal_form == 'vof') echo 'selected'; ?>>VOF</option>
            <option value="bv" <?php if ($legal_form == 'bv') echo 'selected'; ?>>BV</option>
            <option value="cv" <?php if ($legal_form == 'cv') echo 'selected'; ?>>CV</option>
            <option value="nv" <?php if ($legal_form == 'nv') echo 'selected'; ?>>NV</option>
            <option value="cooperatie" <?php if ($legal_form == 'cooperatie') echo 'selected'; ?>>Coöperatie</option>
            <option value="stichting" <?php if ($legal_form == 'stichting') echo 'selected'; ?>>Stichting</option>
            <option value="vereniging" <?php if ($legal_form == 'vereniging') echo 'selected'; ?>>Vereniging</option>
            <option value="overheid" <?php if ($legal_form == 'overheid') echo 'selected'; ?>>Overheidsinstantie</option>
            <option value="kerkgenootschap" <?php if ($legal_form == 'kerkgenootschap') echo 'selected'; ?>>Kerkgenootschap</option>
            <option value="kroondomein" <?php if ($legal_form == 'kroondomein') echo 'selected'; ?>>Kroondomein</option>
            <option value="buitenlandse-ven" <?php if ($legal_form == 'buitenlandse-ven') echo 'selected'; ?>>Buitenlandse vennootschap in Nederland geregistreerd</option>
            <option value="niet-nl" <?php if ($legal_form == 'niet-nl') echo 'selected'; ?>>Andere entiteit</option>
          </select>
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Registration number (KvK)</label>
        </th>
        <td>
          <input type="text" name="mollie-registration-number" value="<?php echo isset($_POST['mollie-registration-number']) ? $_POST['mollie-registration-number'] : ""; ?>" placeholder="e.g. 12345678" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Website</label>
        </th>
        <td>
          <input type="text" name="mollie-website" value="<?php echo isset($_POST['mollie-website']) ? $_POST['mollie-website'] : get_home_url(); ?>" placeholder="Your website" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Phone</label>
        </th>
        <td>
          <input type="text" name="mollie-phone" value="<?php echo isset($_POST['mollie-phone']) ? $_POST['mollie-phone'] : ''; ?>" placeholder="Your phone number" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Country</label>
        </th>
        <td>
          <?php $country = empty($_POST['mollie-country']) ? 'NL' : $_POST['mollie-country']; ?>
          <select name="mollie-country" class="regular-text">
            <option value="NL" <?php if ($country == 'NL') echo 'selected'; ?>>The Netherlands</option>
            <option disabled="true">BETA release only available in the Netherlands</option>
          </select>
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>City</label>
        </th>
        <td>
          <input type="text" name="mollie-city" value="<?php echo isset($_POST['mollie-city']) ? $_POST['mollie-city'] : ''; ?>" placeholder="City" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Address</label>
        </th>
        <td>
          <input type="text" name="mollie-address" value="<?php echo isset($_POST['mollie-address']) ? $_POST['mollie-address'] : ''; ?>" placeholder="Address" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Postal code</label>
        </th>
        <td>
          <input type="text" name="mollie-zip" value="<?php echo isset($_POST['mollie-zip']) ? $_POST['mollie-zip'] : ''; ?>" placeholder="Postal code" class="regular-text">
        </td>
      </tr>
    </table>

    <?php else: ?>
    <?php $current_user = wp_get_current_user(); ?>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Username</label>
        </th>
        <td>
          <input type="text" name="mollie-username" value="<?php echo isset($_POST['mollie-username']) ? $_POST['mollie-username'] : '' ?>" placeholder="Your Mollie username" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Password</label>
        </th>
        <td>
          <input type="password" name="mollie-password" placeholder="Your Mollie password" class="regular-text"  autocomplete="new-password">
        </td>
      </tr>
    </table>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Website profile</label>
        </th>
        <td>
          <input id="mollie-profile-created-true" name="mollie-profile-created" type="radio" value="1" checked />
          <label for="mollie-profile-created-true">I have already created a website profile in Mollie</label><br>
          <input id="mollie-profile-created-false" name="mollie-profile-created" type="radio" value="0" />
          <label for="mollie-profile-created-false">Create a website profile in Mollie for me</label>
        </td>
      </tr>
    </table>

    <script type="text/javascript">
      jQuery(document).ready(function() {
        jQuery('input[type=radio][name=mollie-profile-created]').change(function() {
          if (this.value == '1') {
            jQuery('#mollie-profile-create-false-form').show();
            jQuery('#mollie-profile-create-true-form').hide();
          }
          else if (this.value == '0') {
            jQuery('#mollie-profile-create-false-form').hide();
            jQuery('#mollie-profile-create-true-form').show();
          }
        });
      });
    </script>

    <table class="form-table" id="mollie-profile-create-false-form">
      <tr valign="top">
        <th scope="row">
          <label>Profile name</label>
        </th>
        <td>
          <input type="text" name="mollie-profile-name" value="<?php echo isset($_POST['mollie-company']) ? $_POST['mollie-company'] : get_bloginfo('name'); ?>" placeholder="Your Mollie profile name" class="regular-text">
        </td>
      </tr>
    </table>

    <table class="form-table" id="mollie-profile-create-true-form" style="display:none;">
      <tr valign="top">
        <th scope="row">
          <label>Company</label>
        </th>
        <td>
          <input type="text" name="mollie-company" value="<?php echo isset($_POST['mollie-company']) ? $_POST['mollie-company'] : get_bloginfo('name'); ?>" placeholder="Your company name" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Email address</label>
        </th>
        <td>
          <input type="email" name="mollie-email" value="<?php echo isset($_POST['mbplugins-account-email']) ? $_POST['mbplugins-account-email'] : $current_user->user_email ?>" placeholder="Your email address" class="regular-text" autocomplete="nope">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Website</label>
        </th>
        <td>
          <input type="text" name="mollie-website" value="<?php echo isset($_POST['mollie-website']) ? $_POST['mollie-website'] : get_home_url(); ?>" placeholder="Your website" class="regular-text">
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Phone</label>
        </th>
        <td>
          <input type="text" name="mollie-phone" value="<?php echo isset($_POST['mollie-phone']) ? $_POST['mollie-phone'] : ''; ?>" placeholder="Your phone number" class="regular-text">
        </td>
      </tr>
    </table>
    <?php endif;?>

    <?php $show_login ? submit_button('Authorize account') : submit_button('Create account'); ?>

    <?php endif; ?>

    <hr>
    <h2 class="mbplugins-setup-title">4. Activate iDEAL <?php if ($progress > 3) echo "<span class='mbplugins-text-success'>&#10003;</span><br><small>Payments activated</small>"; ?></h2>

    <?php if ($progress == 3): ?>

    <?php if (!$show_login): ?>
    <p>
      Activate your Mollie account via the mail that has been sent to <?php echo get_option('mbplugins-account-email'); ?>.<br>
    </p>
    <p>
      After you have activated your account, enable iDEAL as a payment method.<br>
      You can select your payment methods on the <a href="https://www.mollie.com/dashboard/" target="_blank" rel="noopener">Mollie dashboard</a> > Settings > Payment methods
    </p>
    <?php else: ?>
    <p>
      Enable iDEAL as a payment method.<br>
      You can select your payment methods on the <a href="https://www.mollie.com/dashboard/" target="_blank" rel="noopener">Mollie dashboard</a> > Settings > Payment methods
    </p>
    <?php endif; ?>

    <input type="hidden" name="action" value="mollie-payment-methods">
    <?php submit_button('Check payment methods'); ?>

    <?php endif; ?>

    <hr>
    <h2 class="mbplugins-setup-title">5. Custom payment method <?php if ($progress > 4) echo "<span class='mbplugins-text-success'>&#10003;</span><br><small>Setup finished!</small> 🎉"; ?></h2>

    <?php if ($progress == 4): ?>
    <p>
      You're almost finished, add Mollie as a custom payment method to MINDBODY to complete the setup.
    </p>
    <p>
      Go to MINDBODY > Manager Tools > Settings > Retail Settings > Payment Methods.<br>
      Add 'Mollie' with the following boxes checked: Active, CashEQ, Allow > $0.
    </p>

    <input type="hidden" name="action" value="mindbody-payment-methods">
    <?php submit_button('Check payment methods'); ?>

    <?php endif; ?>
  </form>
</div>

<?php
}
?>
