<?php

/* Settings page */
function mbplugins_settings_html() {
  if (!current_user_can('manage_options'))  {
    wp_die(__('You do not have sufficient permissions to access this page.'));
  }

  $invalid_page = false;
  $active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'general';

  $progress = get_option('mbplugins-setup-progress') ? get_option('mbplugins-setup-progress') : 0;
?>

<div class="wrap">
  <h1>Settings</h1>

  <div class="nav-tab-wrapper">
    <a href="?page=mbplugins-settings" class="nav-tab <?php if ($active_tab == 'general') echo "nav-tab-active"; ?>">General</a>
    <a href="?page=mbplugins-settings&tab=mbplugins" class="nav-tab <?php if ($active_tab == 'mbplugins') echo "nav-tab-active"; ?>">MBPLUGINS</a>
    <a href="?page=mbplugins-settings&tab=mindbody" class="nav-tab <?php if ($active_tab == 'mindbody') echo "nav-tab-active"; ?>">MINDBODY</a>
    <a href="?page=mbplugins-settings&tab=mollie" class="nav-tab <?php if ($active_tab == 'mollie') echo "nav-tab-active"; ?>">Mollie</a>
  </div>

  <form action="" method="post" autocomplete="off">
    <?php wp_nonce_field('mbplugins-settings-form'); ?>

    <?php if ($active_tab == 'general'): ?>
    <input type="hidden" name="action" value="update">

    <h2>General settings</h2>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Mode</label>
        </th>
        <td>
          <select class="regular-text" name="mollie-test-mode">
            <option value="false" <?php if (!get_option('mollie-test-mode')) echo 'selected'; ?>>Live</option>
            <option value="true" <?php if (get_option('mollie-test-mode')) echo 'selected'; ?>>Test</option>
          </select>
          <p class="description">Enable testmode so you can test the payment process, in testmode orders will not be saved in MINDBODY.</p>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Navigation</label>
        </th>
        <td>
          <?php
            $mbplugins_menus = explode(',', get_option('mbplugins-auth-menu-location'));
            $wp_menus = get_registered_nav_menus();
          ?>
          <?php if (!empty($wp_menus)): ?>
          <?php foreach ($wp_menus as $location => $description): ?>
          <fieldset>
            <label>
              <input value="<?php echo $location; ?>" type="checkbox" name="mbplugins-auth-menu-location[]" <?php if (in_array($location, $mbplugins_menus)) echo 'checked'; ?>> <?php echo $description; ?>
            </label>
          </fieldset>
          <?php endforeach; ?>
          <?php else: ?>
          <fieldset>
            <label>
              <input type="checkbox" checked disabled> No available menus
            </label>
          </fieldset>
          <?php endif; ?>
          <p class="description">Select one or multiple menus to add the register / login buttons.</p>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Schedule page</label>
        </th>
        <td>
          <?php
            $wp_pages = get_pages(array("post_status" => "publish,private"));

            $lang = "";
            if (defined('ICL_LANGUAGE_CODE')) {
              $lang = "_" . ICL_LANGUAGE_CODE;
            }

            $mbplugins_schedule_page = get_option('mbplugins-schedule-page' . $lang) ?: get_option('mbplugins-schedule-page');
          ?>
          <select class="regular-text" name="mbplugins-schedule-page<?php echo $lang; ?>">
            <?php if (!empty($wp_pages)): ?>
            <option <?php if (!$mbplugins_schedule_page) echo 'selected'; ?>>Not set</option>
            <?php foreach ($wp_pages as $page): ?>
            <option value="<?php echo $page->ID; ?>" <?php if ($page->ID == $mbplugins_schedule_page) echo 'selected'; ?>><?php echo $page->post_title; ?></option>
            <?php endforeach; ?>
            <?php else: ?>
            <option selected disabled>No available pages</option>
            <?php endif; ?>
          </select>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Pricing page</label>
        </th>
        <td>
          <?php
            $mbplugins_pricing_page = get_option('mbplugins-pricing-page' . $lang) ?: get_option('mbplugins-pricing-page');
          ?>
          <select class="regular-text" name="mbplugins-pricing-page<?php echo $lang; ?>">
            <?php if (!empty($wp_pages)): ?>
            <option <?php if (!$mbplugins_pricing_page) echo 'selected'; ?>>Not set</option>
            <?php foreach ($wp_pages as $page): ?>
            <option value="<?php echo $page->ID; ?>" <?php if ($page->ID == $mbplugins_pricing_page) echo 'selected'; ?>><?php echo $page->post_title; ?></option>
            <?php endforeach; ?>
            <?php else: ?>
            <option selected disabled>No available pages</option>
            <?php endif; ?>
          </select>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Enrollments page</label>
        </th>
        <td>
          <?php
            $mbplugins_enrollments_page = get_option('mbplugins-enrollments-page' . $lang) ?: get_option('mbplugins-enrollments-page');
          ?>
          <select class="regular-text" name="mbplugins-enrollments-page<?php echo $lang; ?>">
            <?php if (!empty($wp_pages)): ?>
            <option <?php if (!$mbplugins_enrollments_page) echo 'selected'; ?>>Not set</option>
            <?php foreach ($wp_pages as $page): ?>
            <option value="<?php echo $page->ID; ?>" <?php if ($page->ID == $mbplugins_enrollments_page) echo 'selected'; ?>><?php echo $page->post_title; ?></option>
            <?php endforeach; ?>
            <?php else: ?>
            <option selected disabled>No available pages</option>
            <?php endif; ?>
          </select>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Order confirmation page</label>
        </th>
        <td>
          <?php
            $mbplugins_order_page = get_option('mbplugins-order-page' . $lang) ?: get_option('mbplugins-order-page');
          ?>
          <select class="regular-text" name="mbplugins-order-page<?php echo $lang; ?>">
            <?php if (!empty($wp_pages)): ?>
            <option <?php if (!$mbplugins_order_page) echo 'selected'; ?>>Not set</option>
            <?php foreach ($wp_pages as $page): ?>
            <option value="<?php echo $page->ID; ?>" <?php if ($page->ID == $mbplugins_order_page) echo 'selected'; ?>><?php echo $page->post_title; ?></option>
            <?php endforeach; ?>
            <?php else: ?>
            <option selected disabled>No available pages</option>
            <?php endif; ?>
          </select>
          <p class="description">Leave blank to use the standard order confirmation page (recommended).</p>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Checkout links</label>
        </th>
        <td>
          <fieldset>
            <label>
              <input value="true" type="checkbox" name="mbplugins-convert-checkout-links" <?php if (get_option('mbplugins-convert-checkout-links')) echo 'checked'; ?>></input> Automatically convert minbody product links to Mollie checkout links
            </label>
          </fieldset>
          <p class="description">MINDBODY > Manager Tools > Links > Online Store - Series &amp; Packages</p>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Overlay links</label>
        </th>
        <td>
          <fieldset>
            <label>
              <input value="true" type="checkbox" name="mbplugins-convert-overlay-links" <?php if (get_option('mbplugins-convert-overlay-links')) echo 'checked'; ?>></input> Automatically convert overlay links to open with MBPLUGINS
            </label>
          </fieldset>
        </td>
      </tr>

      <tr valign="top">
        <th scope="row">
          <label>Redirect to pricing page</label>
        </th>
        <td>
          <fieldset>
            <label>
              <input value="true" type="checkbox" name="mbplugins-redirect-schedule-services" <?php if (get_option('mbplugins-redirect-schedule-services')) echo 'checked'; ?>></input> Redirect from schedule to pricing page
            </label>
          </fieldset>
          <p class="description">Redirect to the pricing page if a client is trying to book classes but has no credit.</p>
        </td>
      </tr>
    </table>

    <?php submit_button(); ?>

    <?php elseif ($active_tab == 'mbplugins'): ?>

    <h2>MBPLUGINS account <?php if (get_option('mbplugins-live-key')) echo "<span class='mbplugins-text-success'>&#10003;</span>"; ?></h2>
    <?php if (get_option('mbplugins-live-key')): ?>
    <p>Successfully connected to your MBPLUGINS account.</p>
    <?php else: ?>
    <p><a href="<?php echo get_home_url(); ?>/wp-admin/admin.php?page=mbplugins">Connect your account</a> to retrieve your API keys.</p>
    <?php endif; ?>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Account</label>
        </th>
        <td>
          <input type="text" value="<?php echo esc_attr(get_option('mbplugins-account-email')); ?>" placeholder="Not connected" class="regular-text" readonly>
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Test key</label>
        </th>
        <td>
          <input type="text" value="<?php echo esc_attr(get_option('mbplugins-test-key')); ?>" placeholder="N/A" class="regular-text" readonly>
        </td>
      </tr>
      <tr valign="top">
        <th scope="row">
          <label>Live key</label>
        </th>
        <td>
          <input type="text" value="<?php echo esc_attr(get_option('mbplugins-live-key')); ?>" placeholder="N/A" class="regular-text" readonly>
        </td>
      </tr>
    </table>

    <?php if ($progress): ?>
    <input type="hidden" name="action" value="disconnect">
    <p class="submit">
      <input type="submit" name="submit" class="button" value="Disconnect account" onclick="return confirm('Are you sure you want to disconnect your MBPLUGINS account?');">
      <input type="submit" name="submit" class="button delete" value="Restart setup" onclick="return confirm('Are you sure you want to reset your MBPLUGINS account? You will have to go through setup again to use the plugin.');">
    </p>
    <?php endif; ?>

    <?php elseif ($active_tab == 'mindbody'): ?>
    <input type="hidden" name="action" value="update">

    <h2>MINDBODY developers account <?php if (get_option('mindbody-source-name')) echo "<span class='mbplugins-text-success'>&#10003;</span>"; ?></h2>
    <?php if (get_option('mindbody-source-name')): ?>
    <p>Successfully connected to your MINDBODY developers account.</p>
    <?php else: ?>
    <p><a href="<?php echo get_home_url(); ?>/wp-admin/admin.php?page=mbplugins">Complete setup</a> to connect your MINDBODY developers account.</p>
    <?php endif; ?>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Account</label>
        </th>
        <td>
          <input type="text" value="<?php echo esc_attr(get_option('mindbody-source-name')); ?>" placeholder="Not connected" class="regular-text" readonly>
        </td>
      </tr>
    </table>

    <hr>

    <h2>MINDBODY settings</h2>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Powered by MINDBODY</label>
        </th>
        <td>
          <select class="regular-text" name="display-powered-by-mindbody">
            <option value="false" <?php if (!get_option('display-powered-by-mindbody')) echo 'selected'; ?>>Disable logo's</option>
            <option value="true" <?php if (get_option('display-powered-by-mindbody')) echo 'selected'; ?>>Enable logo's</option>
          </select>
          <p class="description">Make sure to enable Powered by MINDBODY logo's to be compliant with the <a href="https://developers.mindbodyonline.com/Resources/BrandingRequirements" target="_blank" rel="noopener nofollow">MINDBODY branding requirements</a>.</p>
        </td>
      </tr>
    </table>

    <?php submit_button(); ?>

    <?php elseif ($active_tab == 'mollie'): ?>
    <input type="hidden" name="action" value="update">

    <h2>Mollie account <?php if (get_option('mollie-username')) echo "<span class='mbplugins-text-success'>&#10003;</span>"; ?></h2>
    <?php if (get_option('mollie-username')): ?>
    <p>Successfully connected to your Mollie account.</p>
    <p>To edit your Mollie profile and payment methods, go to the <a href="https://www.mollie.com/dashboard/" target="_blank" rel="noopener">Mollie dashboard</a>.</p>
    <?php else: ?>
    <p><a href="<?php echo get_home_url(); ?>/wp-admin/admin.php?page=mbplugins">Complete setup</a> to connect your Mollie account.</p>
    <?php endif; ?>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">
          <label>Account</label>
        </th>
        <td>
          <input type="text" value="<?php echo esc_attr(get_option('mollie-username')); ?>" placeholder="Not connected" class="regular-text" readonly>
        </td>
      </tr>
    </table>

    <?php else: $invalid_page = true; echo "<h2>Select a tab above.</h2>"; endif; ?>
    <hr>

    <p class="description">Version <?php echo MBPLUGINS_PLUGIN_VERSION; ?></p>
  </form>
</div>

<?php
}
?>
