<?php

defined('ABSPATH') or die('Direct access not allowed.');

require_once MBPLUGINS_PLUGIN_DIR . '/frontend/includes/shortcodes.php';

/* Add Login & Register or My profile to menu */
function mbplugins_authentication_menu_items($items, $args) {
  $mbpluginsNavLocation = explode(',', get_option('mbplugins-auth-menu-location'));

  if (!empty($mbpluginsNavLocation) && in_array($args->theme_location, $mbpluginsNavLocation)) {
    $items .= "<li><a class='mbplugins-btn-profile' onclick='mb.openOverlay(\"profile\", event)'>My profile</a></li>";
    $items .= "<li><a class='mbplugins-btn-auth' onclick='mb.openOverlay(\"login\", event)'>Login</a></li>";
    $items .= "<li><a class='mbplugins-btn-auth' onclick='mb.openOverlay(\"register\", event)'>Register</a></li>";
  }

  return $items;
}
add_filter('wp_nav_menu_items', 'mbplugins_authentication_menu_items', 10, 2);

/* Inject js scripts & css styles  */
function mbplugins_inject_files() {
  wp_register_style('mbplugins-styles', plugins_url('/frontend/css/styles.css', MBPLUGINS_PLUGIN), array(), MBPLUGINS_PLUGIN_VERSION, 'all');
  wp_register_script('mbplugins-core', plugins_url('/frontend/js/mbplugins.min.js', MBPLUGINS_PLUGIN), array(), MBPLUGINS_PLUGIN_VERSION, true);
  wp_register_script('mbplugins-config', plugins_url('/frontend/js/config.js', MBPLUGINS_PLUGIN), array(), MBPLUGINS_PLUGIN_VERSION, true);

  wp_enqueue_style('mbplugins-styles');
  wp_enqueue_script('mbplugins-core');
  wp_enqueue_script('mbplugins-config');

  $apiKey = get_option('mbplugins-test-key');

  if (!get_option('mollie-test-mode')) {
    $apiKey = get_option('mbplugins-live-key');
  }

  $lang = "";
  if (defined('ICL_LANGUAGE_CODE')) {
    $lang = "_" . ICL_LANGUAGE_CODE;
  }

  $orderUrl = get_option('mbplugins-order-page' . $lang) ?: get_option('mbplugins-order-page');
  if ($orderUrl) {
    $orderUrl = get_permalink($orderUrl);
  }

  wp_localize_script('mbplugins-config', 'mbConfig', array(
    'ajaxUrl'               => admin_url('admin-ajax.php'),
    'homeUrl'               => get_home_url(),
    'pricingUrl'            => get_permalink(get_option('mbplugins-pricing-page' . $lang) ?: get_option('mbplugins-pricing-page')),
    'scheduleUrl'           => get_permalink(get_option('mbplugins-schedule-page' . $lang) ?: get_option('mbplugins-schedule-page')),
    'enrollmentsUrl'        => get_permalink(get_option('mbplugins-enrollments-page' . $lang) ?: get_option('mbplugins-enrollments-page')),
    'orderUrl'              => $orderUrl,
    'apiKey'                => $apiKey,
    'convertOverlayLinks'   => get_option('mbplugins-convert-overlay-links'),
    'convertMindbodyLinks'  => get_option('mbplugins-convert-checkout-links'),
    'redirectScheduleToServices'  => get_option('mbplugins-redirect-schedule-services')
  ));
}
add_action('wp_enqueue_scripts', 'mbplugins_inject_files');

/* Get mbplugins order single template */
function mbplugins_order_single_template($single_template) {
  global $post;

  if ($post->post_name == 'mb-order') {
    $single_template = MBPLUGINS_PLUGIN_DIR . '/frontend/templates/mb-order.php';
  }

  return $single_template;
}
add_filter('page_template', 'mbplugins_order_single_template');

function exclude_from_wp_list_pages($exclude_array) {
  $mbplugins_order_page_id = get_option('mbplugins-order-page-id');

  if ($mbplugins_order_page_id) {
    $exclude_array = $exclude_array + array($mbplugins_order_page_id);
  }

  return $exclude_array;
}
add_filter('wp_list_pages_excludes', 'exclude_from_wp_list_pages');

?>
