<?php
/*
Plugin Name: MBPLUGINS
Plugin URI:  https://mbplugins.com/
Description: MINDBODY integration for WordPress
Version:     1.2.4-beta
Author:      Mollie B.V., Story of AMS B.V.
Author URI:  https://mbplugins.com/
Text Domain: mbplugins
Domain Path: /languages
*/

defined('ABSPATH') or die('Direct access not allowed.');

/* Define constants */
define('MBPLUGINS_PLUGIN', __FILE__);
define('MBPLUGINS_PLUGIN_BASENAME', plugin_basename(MBPLUGINS_PLUGIN));
define('MBPLUGINS_PLUGIN_DIR', untrailingslashit(dirname(MBPLUGINS_PLUGIN)));

define('MBPLUGINS_PLUGIN_VERSION', '1.2.4-beta');

/* Require dependencies */
if (is_admin()) {
  require_once MBPLUGINS_PLUGIN_DIR . '/admin/admin.php';
}
else {
  require_once MBPLUGINS_PLUGIN_DIR . '/frontend/controller.php';
}

/* Register order page */
function create_order_page() {
  $page_name = 'mb-order';
  $pageExists = false;
  $pages = get_pages();

  foreach ($pages as $page) {
    if ($page->post_name == $page_name) {
      $pageExists = true;
      break;
    }
  }

  if (!$pageExists) {
    $post_id = wp_insert_post(
      array(
        'post_type' =>'page',
        'post_name' => $page_name,
        'post_title' => 'Order',
        'post_status' => 'publish',
        'comment_status' => 'closed',
        'ping_status'    => 'closed'
      )
    );

    if (!$post_id) {
      wp_die('Error creating order page');
    }
    else {
      update_post_meta($post_id, '_wp_page_template', 'mb-order.php');
      update_option('mbplugins-order-page-id', $post_id);
    }
  }
}

/* Install and default settings */
function mbplugins_install() {
  create_order_page();
  flush_rewrite_rules();
}
add_action('activate_' . MBPLUGINS_PLUGIN_BASENAME, 'mbplugins_install');

?>
